    PROGRAM f01fcfe

!      F01FCF Example Program Text
!      Mark 23 Release. NAG Copyright 2011.

!      .. Use Statements ..
       USE nag_library, ONLY : f01fcf, nag_wp, x04daf
!      .. Implicit None Statement ..
       IMPLICIT NONE
!      .. Parameters ..
       INTEGER, PARAMETER              :: nin = 5, nout = 6
!      .. Local Scalars ..
       INTEGER                         :: i, ierr, ifail, lda, n
!      .. Local Arrays ..
       COMPLEX (KIND=nag_wp), ALLOCATABLE :: a(:,:)
!      .. Executable Statements ..
       WRITE (nout,*) 'F01FCF Example Program Results'
       WRITE (nout,*)
       FLUSH (nout)
!      Skip heading in data file
       READ (nin,*)
       READ (nin,*) n

       lda = n
       ALLOCATE (a(lda,n))

!      Read A from data file

       READ (nin,*) (a(i,1:n),i=1,n)

!      Find exp( A )

       ifail = 0
       CALL f01fcf(n,a,lda,ifail)

!      Print solution

       ierr = 0
       CALL x04daf('General',' ',n,n,a,lda,'Exp(A)',ierr)

    END PROGRAM f01fcfe
